Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_lscp_old.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_lscp_old.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_lscp_old.F90	(revision 5158)
@@ -757,5 +757,5 @@
         IF (iflag_pdf==0) THEN
            ! version creneau de (Li, 1998)
-           do i=1,klon
+           DO i=1,klon
               zdelq = min(ratqs(i,k),0.99) * zq(i)
               rneb(i,k) = (zq(i)+zdelq-zqs(i)) / (2.0*zdelq)
@@ -768,5 +768,5 @@
            ! les valeurs de T et Q initiales
            ! ----------------------------------------------------------------
-           do i=1,klon
+           DO i=1,klon
               IF(zq(i)<1.e-15) THEN
                  ncoreczq=ncoreczq+1
@@ -800,5 +800,5 @@
 
               endif
-              do i=1,klon
+              DO i=1,klon
                  rneb(i,k)=ctot(i,k)
                  rneblsvol(i,k)=ctot_vol(i,k)
@@ -821,5 +821,5 @@
 !CR: variation de qsat avec T en presence de glace ou non
 !initialisations
-           do i=1,klon
+           DO i=1,klon
               DT(i) = 0.
               n_i(i)=0
@@ -846,7 +846,7 @@
              ! Iteration pour condensation avec variation de qsat(T) 
              ! -----------------------------------------------------
-             do iter=1,iflag_fisrtilp_qsat+1
+             DO iter=1,iflag_fisrtilp_qsat+1
                 
-               do i=1,klon
+               DO i=1,klon
 !                 do while ((abs(DT(i)).gt.DDT0).OR.(n_i(i).EQ.0))
                  ! !! convergence = .TRUE. tant que l'on n'a pas converge !!
@@ -929,5 +929,5 @@
                  IF (.NOT. ice_thermo) THEN
                  ! --------------------------
-                 do i=1,klon
+                 DO i=1,klon
                  IF ((convergence(i).OR.(n_i(i)==0)).AND.lognormale(i)) THEN
                  qlbef(i)=max(0.,zqn(i)-zqs(i))
@@ -949,5 +949,5 @@
                  endif
 
-                 do i=1,klon
+                 DO i=1,klon
                  IF ((convergence(i).OR.(n_i(i)==0)).AND.lognormale(i)) THEN
                  IF (iflag_t_glace==0) THEN
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_ratqs_ini.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_ratqs_ini.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_ratqs_ini.F90	(revision 5158)
@@ -77,6 +77,6 @@
 
 IF (klon==1) THEN
-    do k=1,klev
-      do i=1,klon 
+    DO k=1,klev
+      DO i=1,klon
           povariance(i,k) = 0.00000000001
           var_conv(i,k) = 0.00000000001
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_ratqs_main.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_ratqs_main.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_ratqs_main.F90	(revision 5158)
@@ -72,6 +72,6 @@
 !   on ecrase le tableau ratqsc calcule par clouds_gno
       IF (iflag_cld_th==1) THEN
-         do k=1,klev
-         do i=1,klon
+         DO k=1,klev
+         DO i=1,klon
             IF(ptconv(i,k)) THEN
               ratqsc(i,k)=ratqsbas &
@@ -101,6 +101,6 @@
       IF (iflag_ratqs==0) THEN
 ! Le cas iflag_ratqs=0 correspond a la version IPCC 2005 du modele.
-         do k=1,klev
-            do i=1, klon
+         DO k=1,klev
+            DO i=1, klon
                ratqss(i,k)=ratqsbas+(ratqshaut-ratqsbas)* &
                min((paprs(i,1)-pplay(i,k))/(paprs(i,1)-30000.),1.) 
@@ -116,6 +116,6 @@
 
       ELSE IF (iflag_ratqs==1) THEN
-         do k=1,klev
-            do i=1, klon
+         DO k=1,klev
+            DO i=1, klon
                IF (pplay(i,k)>=60000.) THEN
                   ratqss(i,k)=ratqsbas
@@ -129,6 +129,6 @@
 
       ELSE IF (iflag_ratqs==2) THEN
-         do k=1,klev
-            do i=1, klon
+         DO k=1,klev
+            DO i=1, klon
                IF (pplay(i,k)>=60000.) THEN
                   ratqss(i,k)=ratqsbas*(paprs(i,1)-pplay(i,k))/(paprs(i,1)-60000.)
@@ -142,5 +142,5 @@
 
       ELSE IF (iflag_ratqs==3) THEN
-         do k=1,klev
+         DO k=1,klev
            ratqss(:,k)=ratqsbas+(ratqshaut-ratqsbas) &
            *min( ((paprs(:,1)-pplay(:,k))/70000.)**2 , 1. )
@@ -148,5 +148,5 @@
 
       ELSE IF (iflag_ratqs==4) THEN
-         do k=1,klev
+         DO k=1,klev
            ratqss(:,k)=ratqsbas+0.5*(ratqshaut-ratqsbas) &
 !          *( tanh( (50000.-pplay(:,k))/20000.) + 1.)
@@ -160,6 +160,6 @@
 ! April 2023 
         resolmax=sqrt(maxval(cell_area))
-         do k=1,klev
-            do i=1,klon
+         DO k=1,klev
+            DO i=1,klon
               resol=sqrt(cell_area(i))
               fact=sqrt(resol/resolmax)
@@ -177,6 +177,6 @@
        
        ! background ratqs and initialisations
-          do k=1,klev
-             do i=1,klon
+          DO k=1,klev
+             DO i=1,klon
               ratqss(i,k)=ratqsbas+0.5*(ratqshaut-ratqsbas) &
               *( tanh( (ratqsp0-pplay(i,k))/ratqsdp) + 1.)
@@ -195,6 +195,6 @@
                        fm_therm,entr_therm,detr_therm,detrain_cv,fm_cv,fqd,fqcomp,sigd, &
                        ratqs_inter_)
-             do k=1,klev
-                do i=1,klon
+             DO k=1,klev
+                DO i=1,klon
                     ratqs_inter_(i,k)=ratqs_inter_(i,k)-0.5*ratqs_inter_(i,k)*(tanh((ratqsp0-pplay(i,k))/ratqsdp)+1.)
                 enddo
@@ -234,6 +234,6 @@
 ! fluctuations turbulentes de petite echelle
 
-         do k=1,klev
-            do i=1,klon
+         DO k=1,klev
+            DO i=1,klon
                IF ((fm_therm(i,k)>1.e-10)) THEN
                   ratqsc(i,k)=sqrt(ratqsc(i,k)**2+0.05**2)
@@ -264,6 +264,6 @@
           zfratqs1=exp(-pdtphys/10800.)
           zfratqs2=exp(-pdtphys/10800.)
-          do k=1,klev
-             do i=1,klon
+          DO k=1,klev
+             DO i=1,klon
                 IF (ratqsc(i,k)>1.e-10) THEN
                    ratqs(i,k)=ratqs(i,k)*zfratqs2+(iflag_cld_th/100.)*ratqsc(i,k)*(1.-zfratqs2)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_ratqs_multi.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_ratqs_multi.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_ratqs_multi.F90	(revision 5158)
@@ -75,5 +75,5 @@
 !-----------------------------------------------------------------------
 
-      do k=1,klev
+      DO k=1,klev
          zmasse(:,k)=(paprs(:,k)-paprs(:,k+1))/RG
       enddo
@@ -85,6 +85,6 @@
 
 
-      do k=1,klev
-         do i=1,klon
+      DO k=1,klev
+         DO i=1,klon
             tau_diss(i,k)=tau_var +0.5*fac_tau*tau_var*(tanh((taup0-paprs(i,k))/taudp) + 1.)
          enddo
@@ -101,6 +101,6 @@
       CALL thermcell_dq(klon,klev,dqimpl,pdtphys,fm0,entr0,zmasse,  &
                      po,pdoadj,zoa,lev_out)
-      do k=1,klev
-         do i=1,klon
+      DO k=1,klev
+         DO i=1,klon
             pocarre(i,k)=po(i,k)*po(i,k) + povariance(i,k)
          enddo
@@ -111,6 +111,6 @@
 
 ! variance de l'humidit?? sp??cifique totale dans les thermiques     
-      do k=1,klev
-         do i=1,klon      
+      DO k=1,klev
+         DO i=1,klon
             varq_therm(i,k)=zocarrea(i,k)-zoa(i,k)*zoa(i,k)
          enddo
@@ -118,6 +118,6 @@
 
 ! calcul des termes sources de la variance avec thermiques et convection profonde (voir Klein 2005 par exemple)
-      do k=1,klev
-         do i=1,klon      
+      DO k=1,klev
+         DO i=1,klon
             var_moy(i,k) = detr0(i,k)*((zoa(i,k)-po(i,k))**2)/zmasse(i,k)
             var_var(i,k) = detr0(i,k)*(varq_therm(i,k)-povariance(i,k))/zmasse(i,k)
@@ -131,6 +131,6 @@
       enddo
 
-      do k=1,klev-1
-         do i=1,klon      
+      DO k=1,klev-1
+         DO i=1,klon
             var_desc_th(i,k) = fm0(i,k+1)*povariance(i,k+1)/zmasse(i,k) -  &
                fm0(i,k)*povariance(i,k)/zmasse(i,k)
@@ -142,6 +142,6 @@
       
       IF (klein) THEN
-         do k=1,klev-1
-            do i=1,klon
+         DO k=1,klev-1
+            DO i=1,klon
               qd0(:,:) = 0.0
               IF (sigd(i)/=0) THEN
@@ -150,6 +150,6 @@
             enddo
          enddo
-         do k=1,klev-1
-            do i=1,klon      
+         DO k=1,klev-1
+            DO i=1,klon
                povariance(i,k)= (var_moy(i,k) + var_var(i,k) + var_desc_th(i,k) +  &
                var_det_conv(i,k) +  var_desc_prec(i,k)  &   
@@ -163,6 +163,6 @@
          qd0(:,:) = 0.0
          q0(:,:) = 0.0
-         do k=1,klev-1
-            do i=1,klon
+         DO k=1,klev-1
+            DO i=1,klon
                IF (sigd(i)/=0) then    ! termes de variance par accumulation
                  qd0(i,k) = fqd(i,k)*tau_cumul/sigd(i) 
@@ -173,6 +173,6 @@
             enddo
          enddo
-         do k=1,klev-1
-            do i=1,klon      
+         DO k=1,klev-1
+            DO i=1,klon
                povariance(i,k)= (pdocarreadj(i,k)-2.*po(i,k)*pdoadj(i,k) +  &
                a_ratqs_cv*(sigt_cv(i,k)*(1-sigt_cv(i,k))*q0(i,k)**2/tau_cumul + var_desc_prec(i,k) +  &
@@ -189,6 +189,6 @@
 !-------------------------------------------------------------------------
 
-      do k=1,klev
-        do i=1,klon
+      DO k=1,klev
+        DO i=1,klon
            IF(q_seri(i,k)>=1E-7) THEN
                ratqs_inter_(i,k) = abs(povariance(i,k))**0.5/q_seri(i,k)    
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_screenp.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_screenp.f90	(revision 5158)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_screenp.f90	(revision 5158)
@@ -0,0 +1,175 @@
+MODULE lmdz_screenp
+
+  ! This module contains some procedures for calculation of the first
+  ! guess of temperature, specific humidity and wind at a reference level
+  ! coefficients for turbulent diffusion at surface
+
+  IMPLICIT NONE; PRIVATE
+  PUBLIC screenp, screenpn
+
+CONTAINS
+
+  !****************************************************************************************
+
+  !r original routine
+
+  SUBROUTINE screenp(klon, knon, &
+          speed, tair, qair, &
+          ts, qsurf, rugos, lmon, &
+          ustar, testar, qstar, zref, &
+          delu, delte, delq)
+    IMPLICIT NONE
+    !-------------------------------------------------------------------------
+
+    ! Objet : calcul "predicteur" des anomalies du vent, de la temperature
+    !         potentielle et de l'humidite relative au niveau de reference zref et
+    !         par rapport au 1er niveau (pour u) ou a la surface (pour theta et q)
+    !         a partir des relations de Dyer-Businger.
+
+    ! Reference : Hess, Colman et McAvaney (1995)
+
+    ! I. Musat, 01.07.2002
+    !-------------------------------------------------------------------------
+
+    ! klon----input-I- dimension de la grille physique (= nb_pts_latitude X nb_pts_longitude)
+    ! knon----input-I- nombre de points pour un type de surface
+    ! speed---input-R- module du vent au 1er niveau du modele
+    ! tair----input-R- temperature de l'air au 1er niveau du modele
+    ! qair----input-R- humidite relative au 1er niveau du modele
+    ! ts------input-R- temperature de l'air a la surface
+    ! qsurf---input-R- humidite relative a la surface
+    ! rugos---input-R- rugosite
+    ! lmon----input-R- longueur de Monin-Obukov
+    ! ustar---input-R- facteur d'echelle pour le vent
+    ! testar--input-R- facteur d'echelle pour la temperature potentielle
+    ! qstar---input-R- facteur d'echelle pour l'humidite relative
+    ! zref----input-R- altitude de reference
+
+    ! delu----input-R- anomalie du vent par rapport au 1er niveau
+    ! delte---input-R- anomalie de la temperature potentielle par rapport a la surface
+    ! delq----input-R- anomalie de l'humidite relative par rapport a la surface
+
+    INTEGER, INTENT(IN) :: klon, knon
+    REAL, DIMENSION(klon), INTENT(IN) :: speed, tair, qair
+    REAL, DIMENSION(klon), INTENT(IN) :: ts, qsurf, rugos
+    DOUBLE PRECISION, DIMENSION(klon), INTENT(IN) :: lmon
+    REAL, DIMENSION(klon), INTENT(IN) :: ustar, testar, qstar
+    REAL, INTENT(IN) :: zref
+
+    REAL, DIMENSION(klon), INTENT(OUT) :: delu, delte, delq
+
+    !-------------------------------------------------------------------------
+    ! Variables locales et constantes :
+    REAL, PARAMETER :: RKAR = 0.40
+    INTEGER :: i
+    REAL :: xtmp, xtmp0
+    !-------------------------------------------------------------------------
+    DO i = 1, knon
+
+      IF (lmon(i)>=0.) THEN
+
+        ! STABLE CASE
+
+        IF (speed(i)>1.5.AND.lmon(i)<=1.0                        &
+                .AND. rugos(i)<=1.0) THEN
+          delu(i) = (ustar(i) / RKAR) * &
+                  (log(zref / (rugos(i)) + 1.) + &
+                          min(5.d0, 5.0 * (zref - rugos(i)) / lmon(i)))
+          delte(i) = (testar(i) / RKAR) * &
+                  (log(zref / (rugos(i)) + 1.) + &
+                          min(5.d0, 5.0 * (zref - rugos(i)) / lmon(i)))
+          delq(i) = (qstar(i) / RKAR) * &
+                  (log(zref / (rugos(i)) + 1.) + &
+                          min(5.d0, 5.0 * (zref - rugos(i)) / lmon(i)))
+        ELSE
+          delu(i) = 0.1 * speed(i)
+          delte(i) = 0.1 * (tair(i) - ts(i))
+          delq(i) = 0.1 * (max(qair(i), 0.0) - max(qsurf(i), 0.0))
+        ENDIF
+      ELSE
+
+        ! UNSTABLE CASE
+
+        IF (speed(i)>5.0.AND.abs(lmon(i))<=50.0) THEN
+          xtmp = (1. - 16. * (zref / lmon(i)))**(1. / 4.)
+          xtmp0 = (1. - 16. * (rugos(i) / lmon(i)))**(1. / 4.)
+          delu(i) = (ustar(i) / RKAR) * &
+                  (log(zref / (rugos(i)) + 1.) &
+                          - 2. * log(0.5 * (1. + xtmp)) &
+                          + 2. * log(0.5 * (1. + xtmp0)) &
+                          - log(0.5 * (1. + xtmp * xtmp)) &
+                          + log(0.5 * (1. + xtmp0 * xtmp0)) &
+                          + 2. * atan(xtmp) - 2. * atan(xtmp0))
+          delte(i) = (testar(i) / RKAR) * &
+                  (log(zref / (rugos(i)) + 1.) &
+                          - 2.0 * log(0.5 * (1. + xtmp * xtmp)) &
+                          + 2.0 * log(0.5 * (1. + xtmp0 * xtmp0)))
+          delq(i) = (qstar(i) / RKAR) * &
+                  (log(zref / (rugos(i)) + 1.) &
+                          - 2.0 * log(0.5 * (1. + xtmp * xtmp)) &
+                          + 2.0 * log(0.5 * (1. + xtmp0 * xtmp0)))
+        ELSE
+          delu(i) = 0.5 * speed(i)
+          delte(i) = 0.5 * (tair(i) - ts(i))
+          delq(i) = 0.5 * (max(qair(i), 0.0) - max(qsurf(i), 0.0))
+        ENDIF
+      ENDIF
+
+    ENDDO
+
+  END SUBROUTINE screenp
+
+  SUBROUTINE screenpn(klon, knon, speed, tair, qair, ts, qsurf, zri1, delu, delte, delq)
+    IMPLICIT NONE
+    !-------------------------------------------------------------------------
+
+    ! Objet : calcul "predicteur" des anomalies du vent, de la temperature
+    !         potentielle et de l'humidite relative au niveau de reference zref et
+    !         par rapport au 1er niveau (pour u) ou a la surface (pour theta et q)
+    !         a partir des relations de Dyer-Businger.
+
+    ! Reference : Hess, Colman et McAvaney (1995)
+
+    ! I. Musat, 01.07.2002
+    !-------------------------------------------------------------------------
+
+    ! klon----input-I- dimension de la grille physique (= nb_pts_latitude X nb_pts_longitude)
+    ! knon----input-I- nombre de points pour un type de surface
+    ! speed---input-R- module du vent au 1er niveau du modele
+    ! tair----input-R- temperature de l'air au 1er niveau du modele
+    ! qair----input-R- humidite relative au 1er niveau du modele
+    ! ts------input-R- temperature de l'air a la surface
+    ! qsurf---input-R- humidite relative a la surface
+
+    ! delu----input-R- anomalie du vent par rapport au 1er niveau
+    ! delte---input-R- anomalie de la temperature potentielle par rapport a la surface
+    ! delq----input-R- anomalie de l'humidite relative par rapport a la surface
+
+    INTEGER, INTENT(IN) :: klon, knon
+    REAL, DIMENSION(klon), INTENT(IN) :: speed, tair, qair
+    REAL, DIMENSION(klon), INTENT(IN) :: ts, qsurf
+    REAL, DIMENSION(klon), INTENT(IN) :: zri1
+
+    REAL, DIMENSION(klon), INTENT(OUT) :: delu, delte, delq
+
+    !-------------------------------------------------------------------------
+    ! Variables locales et constantes :
+    REAL, PARAMETER :: RKAR = 0.40
+    INTEGER :: i
+    !-------------------------------------------------------------------------
+    DO i = 1, knon
+
+      IF (zri1(i)>=0.) THEN
+        delu(i) = 0.1 * speed(i)
+        delte(i) = 0.1 * (tair(i) - ts(i))
+        delq(i) = 0.1 * (max(qair(i), 0.0) - max(qsurf(i), 0.0))
+      ELSE
+        delu(i) = 0.5 * speed(i)
+        delte(i) = 0.5 * (tair(i) - ts(i))
+        delq(i) = 0.5 * (max(qair(i), 0.0) - max(qsurf(i), 0.0))
+      ENDIF
+
+    ENDDO
+
+  END SUBROUTINE screenpn
+END MODULE lmdz_screenp
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_simu_airs.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_simu_airs.f90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_simu_airs.f90	(revision 5158)
@@ -28,5 +28,5 @@
     PARAMETER(delta_alt_limit = 2000.0)    ! 2000 meters
 
-    do i = 1, N - 1
+    DO i = 1, N - 1
       slope(i) = -(T(i + 1) - T(i)) / (alt(i + 1) - alt(i))
     END DO
@@ -43,5 +43,5 @@
     first_point = 0
     exit_flag = 0
-    do while(exit_flag==0)
+    DO while(exit_flag==0)
       IF (P(i)>=P_min.AND.P(i)<=P_max) THEN
         IF (first_point>0) THEN
@@ -129,5 +129,5 @@
     nss = 1
 
-    do i = 2, size(rneb_cs)
+    DO i = 2, size(rneb_cs)
       IF (rneb_ord(i) > rneb_min) THEN
         nss = nss + 1
@@ -161,5 +161,5 @@
     rneb_max(1) = rneb_ord(1)
 
-    do i = 2, size(rneb_cs)
+    DO i = 2, size(rneb_cs)
       IF (rneb_ord(i) > rneb_min) THEN
         n = n + 1
@@ -178,5 +178,5 @@
     ! Appel de sous_section
 
-    do i = 1, nss
+    DO i = 1, nss
       CALL sous_section(len_cs, rneb_cs, temp_cs, &
               emis_cs, iwco_cs, &
@@ -222,5 +222,5 @@
     em_Anv_cs = 0.
 
-    do i = 1, nss
+    DO i = 1, nss
 
       cc_tot_cs = cc_tot_cs + s(i)
@@ -369,5 +369,5 @@
     ! Ponderation: 1 pour les nuages, 0 pour les trous
 
-    do i = 1, len_cs
+    DO i = 1, len_cs
       IF (rneb_cs(i) >= rnebmax) THEN
         w(i) = 1.
@@ -380,5 +380,5 @@
 
     som = 0.
-    do i = 1, len_cs
+    DO i = 1, len_cs
       IF (emis_cs(i) == 1.) THEN
         tau_cs(i) = 10.
@@ -395,5 +395,5 @@
 
     ! Boucle sur les nuages
-    do while (ideb /= 0 .AND. ideb <= len_cs)
+    DO while (ideb /= 0 .AND. ideb <= len_cs)
 
 
@@ -524,5 +524,5 @@
     IF (visible == 0) THEN
       IF (som_tau < tau_thresh) THEN
-        do i = ibeg, iend
+        DO i = ibeg, iend
           w(i) = 0.
         enddo
@@ -535,5 +535,5 @@
     else
 
-      do i = ibeg, iend
+      DO i = ibeg, iend
         w(i) = 0.
       enddo
@@ -568,5 +568,5 @@
     ibase = -100
 
-    do i = ibeg, iend
+    DO i = ibeg, iend
 
       som_tau = som_tau + tau_cs(i)
@@ -587,5 +587,5 @@
       WRITE(*, *) 'som_dez = 0 stop '
       WRITE(*, *) 'ibeg, iend =', ibeg, iend
-      do i = ibeg, iend
+      DO i = ibeg, iend
         WRITE(*, *) dz_cs(i), rhodz_cs(i)
       enddo
@@ -619,5 +619,5 @@
     iend = 0
 
-    do i = ideb, size(w)
+    DO i = ideb, size(w)
 
       IF (w(i) == 1. .AND. itest == 0) THEN
@@ -629,5 +629,5 @@
 
     i = ibeg
-    do while (w(i) == 1. .AND. i <= size(w))
+    DO while (w(i) == 1. .AND. i <= size(w))
       i = i + 1
     enddo
@@ -647,13 +647,13 @@
     REAL :: rneb_max
 
-    do i = 1, size(rneb_cs)
+    DO i = 1, size(rneb_cs)
       rneb(i) = rneb_cs(i)
     enddo
 
-    do j = 1, size(rneb_cs)
+    DO j = 1, size(rneb_cs)
 
       rneb_max = 100.
 
-      do i = 1, size(rneb_cs)
+      DO i = 1, size(rneb_cs)
         IF (rneb(i) < rneb_max) THEN
           rneb_max = rneb(i)
@@ -735,5 +735,5 @@
     CHARACTER (len = 160) :: abort_message
 
-    do j = 1, klev
+    DO j = 1, klev
       WRITE(lunout, *) 'simu_airs, j, rneb_1D =', rneb_1D(j)
     enddo
@@ -778,9 +778,9 @@
     tsom_hist = 0.
 
-    do while (ltop >= 1)   ! Boucle sur toute la colonne
+    DO while (ltop >= 1)   ! Boucle sur toute la colonne
 
       itop = 0
 
-      do l = ltop, 1, -1
+      DO l = ltop, 1, -1
 
         IF (itop == 0 .AND. rneb_1D(l) > 0.001) THEN
@@ -792,5 +792,5 @@
       ibot = itop
 
-      do while (rneb_1D(ibot) > 0.001 .AND. ibot >= 1)
+      DO while (rneb_1D(ibot) > 0.001 .AND. ibot >= 1)
         ibot = ibot - 1
       enddo
@@ -817,5 +817,5 @@
         ics = 0
 
-        do i = itop, ibot, -1
+        DO i = itop, ibot, -1
           ics = ics + 1
           rneb_cs(ics) = rneb_1D(i)
@@ -1163,6 +1163,6 @@
     ! Definition des variables 1D
 
-    do i = 1, klon
-      do j = 1, klev - 1
+    DO i = 1, klon
+      DO j = 1, klev - 1
         rhodz_airs(i, j) = &
                 (paprs_airs(i, j) - paprs_airs(i, j + 1)) / RG
@@ -1171,6 +1171,6 @@
     enddo
 
-    do i = 1, klon
-      do j = 1, klev
+    DO i = 1, klon
+      DO j = 1, klev
         rho_airs(i, j) = &
                 pplay_airs(i, j) / (temp_airs(i, j) * RD)
@@ -1187,9 +1187,9 @@
     !=============================================================================
 
-    do i = 1, klon  ! boucle sur les points de grille
+    DO i = 1, klon  ! boucle sur les points de grille
 
       !=============================================================================
 
-      do j = 1, klev
+      DO j = 1, klev
 
         rneb_1D(j) = rneb_airs(i, j)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_alim.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_alim.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_alim.F90	(revision 5158)
@@ -41,6 +41,6 @@
 !-------------------------------------------------------------------------
    IF (flag==0) THEN ! CMIP5 version
-      do l=1,klev-1
-         do ig=1,ngrid
+      DO l=1,klev-1
+         DO ig=1,ngrid
             IF (ztv(ig,l)> ztv(ig,l+1) .AND. ztv(ig,1)>=ztv(ig,l) ) THEN
                alim_star(ig,l)=MAX((ztv(ig,l)-ztv(ig,l+1)),0.)  &
@@ -51,6 +51,6 @@
          enddo
       enddo
-      do l=1,klev
-         do ig=1,ngrid 
+      DO l=1,klev
+         DO ig=1,ngrid
             IF (alim_star_tot(ig) > 1.e-10 ) THEN
                alim_star(ig,l)=alim_star(ig,l)/alim_star_tot(ig)
@@ -75,10 +75,10 @@
 ! Il faut recalculer zlay qui n'est pas dispo dans thermcell_plume
 ! A changer eventuellement.
-      do l=1,klev
+      DO l=1,klev
          zlay(:,l)=0.5*(zlev(:,l)+zlev(:,l+1))
       enddo
 
-      do l=klev-1,1,-1
-         do ig=1,ngrid
+      DO l=klev-1,1,-1
+         DO ig=1,ngrid
             ztv_parcel=ztv(ig,1)+d_temp(ig)
             IF (ztv_parcel<ztv(ig,l+1)) lalim(ig)=l
@@ -86,5 +86,5 @@
       enddo
 
-      do ig=1,ngrid
+      DO ig=1,ngrid
          l=lalim(ig)
          IF (l==1) THEN
@@ -100,6 +100,6 @@
       alim_star(:,:)=0.
       lalim(:)=0
-      do l=1,klev-1
-         do ig=1,ngrid
+      DO l=1,klev-1
+         DO ig=1,ngrid
             IF (zh(ig)==0.) THEN
                alim_star(ig,l)=0.
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_alp.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_alp.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_alp.F90	(revision 5158)
@@ -133,5 +133,5 @@
 
     !------------Test sur le LCL des thermiques
-    do ig = 1, ngrid
+    DO ig = 1, ngrid
       ok_lcl(ig) = .FALSE.
       IF ((pcon(ig) > pplay(ig, nlay - 1)) .AND. (pcon(ig) < pplay(ig, 1))) ok_lcl(ig) = .TRUE.
@@ -139,6 +139,6 @@
 
     !------------Localisation des niveaux entourant le LCL et du coef d'interpolation
-    do l = 1, nlay - 1
-      do ig = 1, ngrid
+    DO l = 1, nlay - 1
+      DO ig = 1, ngrid
         IF (ok_lcl(ig)) THEN
           !ATTENTION,zw2 calcule en pplev
@@ -155,5 +155,5 @@
     enddo
 
-    do ig = 1, ngrid
+    DO ig = 1, ngrid
       !CR:REHABILITATION ZMAX CONTINU
       IF (ok_lcl(ig)) THEN
@@ -173,6 +173,6 @@
 
       !-----Initialisation de la TKE moyenne
-      do l = 1, nlay
-        do ig = 1, ngrid
+      DO l = 1, nlay
+        DO ig = 1, ngrid
           pbl_tke_max(ig, l) = 0.
         enddo
@@ -180,7 +180,7 @@
 
       !-----Calcul de la TKE moyenne
-      do nsrf = 1, nbsrf
-        do l = 1, nlay
-          do ig = 1, ngrid
+      DO nsrf = 1, nbsrf
+        DO l = 1, nlay
+          DO ig = 1, ngrid
             pbl_tke_max(ig, l) = pctsrf(ig, nsrf) * pbl_tke(ig, l, nsrf) + pbl_tke_max(ig, l)
           enddo
@@ -189,6 +189,6 @@
 
       !-----Initialisations des TKE dans et hors des thermiques
-      do l = 1, nlay
-        do ig = 1, ngrid
+      DO l = 1, nlay
+        DO ig = 1, ngrid
           therm_tke_max(ig, l) = pbl_tke_max(ig, l)
           env_tke_max(ig, l) = pbl_tke_max(ig, l)
@@ -202,6 +202,6 @@
 
       !-----Calcul des profils verticaux de TKE hors thermiques : env_tke_max, et de la vitesse verticale grande échelle : W_ls
-      do l = 1, nlay
-        do ig = 1, ngrid
+      DO l = 1, nlay
+        DO ig = 1, ngrid
           pbl_tke_max(ig, l) = fraca(ig, l) * therm_tke_max(ig, l) + (1. - fraca(ig, l)) * env_tke_max(ig, l)         !  Recalcul de TKE moyenne après transport de TKE_TH
           env_tke_max(ig, l) = (pbl_tke_max(ig, l) - fraca(ig, l) * therm_tke_max(ig, l)) / (1. - fraca(ig, l))       !  Recalcul de TKE dans  l'environnement après transport de TKE_TH
@@ -211,5 +211,5 @@
       !    print *,' apres w_ls = '   !!jyg
 
-      do ig = 1, ngrid
+      DO ig = 1, ngrid
         IF (ok_lcl(ig)) THEN
           fraca0(ig) = fraca(ig, klcl(ig)) + (fraca(ig, klcl(ig) + 1) &
@@ -252,5 +252,5 @@
 
       !-----Epaisseur du nuage (depth) et détermination de la queue du spectre de panaches (n2,s2) et du panache le plus gros (s_max)
-      do ig = 1, ngrid
+      DO ig = 1, ngrid
         zmax_moy(ig) = zlcl(ig) + zmax_moy_coef * (zmax(ig) - zlcl(ig))
         depth(ig) = zmax_moy(ig) - zlcl(ig)
@@ -276,5 +276,5 @@
         strig(:) = s_trig
       ELSE IF (iflag_strig==1) THEN
-        do ig = 1, ngrid
+        DO ig = 1, ngrid
           !         zcong_moy(ig)=zlcl(ig)+zmax_moy_coef*(zcong(ig)-zlcl(ig))
           !         strig(ig)=(hcoef*(zcong_moy(ig)-zlcl(ig))+hmin(ig))**2
@@ -282,5 +282,5 @@
         enddo
       ELSE IF (iflag_strig==2) THEN
-        do ig = 1, ngrid
+        DO ig = 1, ngrid
           IF (h_trig>zlcl(ig)) THEN
             strig(ig) = (h_trig - zlcl(ig))**2
@@ -293,5 +293,5 @@
       susqr2pi = su_cst * sqrt(2. * Rpi)
       reuler = exp(1.)
-      do ig = 1, ngrid
+      DO ig = 1, ngrid
         IF ((depth(ig)>=10.) .AND. (s_max(ig)>susqr2pi * reuler)) THEN
           w_max(ig) = w0(ig) * (1. + sqrt(2. * log(s_max(ig) / susqr2pi) - log(2. * log(s_max(ig) / susqr2pi))))
@@ -311,5 +311,5 @@
 
       !-----Calcul de ALP_BL_STAT
-      do ig = 1, ngrid
+      DO ig = 1, ngrid
         alp_bl_det(ig) = 0.5 * coef_m * rhobarz0(ig) * (w0(ig)**3) * fraca0(ig) * (1. - 2. * fraca0(ig)) / ((1. - fraca0(ig))**2)
         alp_bl_fluct_m(ig) = 1.5 * rhobarz0(ig) * fraca0(ig) * (w_conv(ig) + coef_m * w0(ig)) * &
@@ -327,5 +327,5 @@
 
       !-----Sécurité ALP infinie
-      do ig = 1, ngrid
+      DO ig = 1, ngrid
         IF (fraca0(ig)>0.98) alp_bl_stat(ig) = 2.
       enddo
@@ -340,6 +340,6 @@
     ale_bl(:) = 0.
     !          PRINT*,'ALE,ALP ,l,zw2(ig,l),ale_bl(ig),alp_bl(ig)'
-    do l = 1, nlay
-      do ig = 1, ngrid
+    DO l = 1, nlay
+      DO ig = 1, ngrid
         alp_bl(ig) = max(alp_bl(ig), 0.5 * rhobarz(ig, l) * wth3(ig, l))
         ale_bl(ig) = max(ale_bl(ig), 0.5 * zw2(ig, l)**2)
@@ -359,6 +359,6 @@
     lalim_conv(:) = lalim(:)
 
-    do k = 1, nlay
-      do ig = 1, ngrid
+    DO k = 1, nlay
+      DO ig = 1, ngrid
         IF (k<=lalim_conv(ig)) fm_tot(ig) = fm_tot(ig) + fm(ig, k)
       enddo
@@ -367,6 +367,6 @@
     ! assez bizarre car, si on est dans la couche d'alim et que alim_star et
     ! plus petit que 1.e-10, on prend wght_th=1.
-    do k = 1, nlay
-      do ig = 1, ngrid
+    DO k = 1, nlay
+      DO ig = 1, ngrid
         IF (k<=lalim_conv(ig).AND.alim_star(ig, k)>1.e-10) THEN
           wght_th(ig, k) = alim_star(ig, k)
@@ -377,5 +377,5 @@
     !      PRINT*,'apres wght_th'
     !test pour prolonger la convection
-    do ig = 1, ngrid
+    DO ig = 1, ngrid
       !v1d  if ((alim_star(ig,1).lt.1.e-10).AND.(therm)) THEN
       IF ((alim_star(ig, 1)<1.e-10)) THEN
@@ -395,6 +395,6 @@
     alp_int(:) = 0.
     dp_int(:) = 0.
-    do l = 2, nlay
-      do ig = 1, ngrid
+    DO l = 2, nlay
+      DO ig = 1, ngrid
         IF(l<=lmax(ig)) THEN
           zdp = pplay(ig, l - 1) - pplay(ig, l)
@@ -406,5 +406,5 @@
 
     IF (iflag_coupl>=3 .AND. iflag_coupl<=5) THEN
-      do ig = 1, ngrid
+      DO ig = 1, ngrid
         !valeur integree de alp_bl * 0.5:
         IF (dp_int(ig)>0.) THEN
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_closure.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_closure.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_closure.F90	(revision 5158)
@@ -52,5 +52,5 @@
 !   alim_star^2/(rho dz)
 DO k=1,llmax-1
-   do ig=1,ngrid
+   DO ig=1,ngrid
       IF (k<lalim(ig)) THEN
          alim_star2(ig)=alim_star2(ig)+alim_star(ig,k)**2  &
